<template>
  <!-- 来自互联网心知天气的天气现象添加 -->
  <div>
    <el-dialog
      :title="title + '来自互联网心知天气的天气现象'"
      :visible.sync="showFormDia"
      width="76%"
      :before-close="handleClose"
      top="8vh"
    >
      <div>
        <el-form
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="120px"
        >

       <el-collapse v-model="activeCollapseNames" class="form-collapse">
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info" />
                  基础信息
                </span>
              </template>


                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="地区" >
                         <el-input
                           clearable
                            
                           placeholder="请输入地区"
                           v-model="params.name"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="路径" >
                         <el-input
                           clearable
                            
                           placeholder="请输入路径"
                           v-model="params.path"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="时区" >
                         <el-input
                           clearable
                            
                           placeholder="请输入时区"
                           v-model="params.timezone"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="时区偏移" >
                         <el-input
                           clearable
                            
                           placeholder="请输入时区偏移"
                           v-model="params.timezoneOffset"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="天气现象" >
                         <el-input
                           clearable
                            
                           placeholder="请输入天气现象"
                           v-model="params.text"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="天气现象编码" >
                         <el-input
                           clearable
                            
                           placeholder="请输入天气现象编码"
                           v-model="params.code"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="温度" >
                         <el-input
                           clearable
                            
                           placeholder="请输入温度"
                           v-model="params.temperature"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>

            </el-collapse-item>
          </el-collapse>
        </el-form>
         

      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary"   :loading="loading"  @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>

import DwdSjWeatherPhenoMiApi from '@/views/Manage/dwd/api/DwdSjWeatherPhenoMiApi'
import dictContracts from '@/components/dict/DictSelectUtils.js'
import CommonApi from '@/views/Manage/CommonApi.js'
import { mapState } from 'vuex'


export default {
  name: 'DwdSjWeatherPhenoMiFormDialog',
  props: {},
  components: {
  },
  data() {
    return {
      title: '新增',
      CommonApi,
      showFormDia: false,
      loading: false,
      activeCollapseNames: ['1'],
      activeTabChildName: '0',

      params: {
            name: null,
            path: null,
            timezone: null,
            timezoneOffset: null,
            text: null,
            code: null,
            temperature: null,
      },
      rules: {
      }
    }
  },
  computed: mapState({
    header: state => {
      return {
        Authorization: `Bearer ${state.login.currentUser.token}`
      }
    }
  }),
  created() {
  },
  methods: {
    add() {
      this.title = '新增'
      this.resetForm()
      this.showFormDia = true
    },
    resetForm() {      
      this.params = {
            name: null,
            path: null,
            timezone: null,
            timezoneOffset: null,
            text: null,
            code: null,
            temperature: null,
      }     
    },
    handleClose() {
      this.resetForm()
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = DwdSjWeatherPhenoMiApi.addDwdSjWeatherPhenoMi
          }else{
            // 修改
            method = DwdSjWeatherPhenoMiApi.editDwdSjWeatherPhenoMi
          }
          this.loading = true
          method(this.params, res => {
            this.loading = false
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
             //this.$emit('loadData')
              this.$parent.loadData()
              this.handleClose()
            } else {
              this.$message.warning(res.message)
            }
          })
        }
      })
    },
    Update(row) {
      this.title = '修改'
      this.showFormDia = true
      this.params = row
    }
  }
}
</script>
<style lang="scss" scoped>
.step-container {
  width: 80%;
  margin: 0 auto 20px;
}
.dialog-footer {
  text-align: center;
}
</style>